> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the executions of an email blast



## OpenAPI

````yaml /openapi.json get /email_blasts/{id}/executions
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /email_blasts/{id}/executions:
    get:
      tags:
        - Email blasts
      summary: Get the executions of an email blast
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the email blast
          required: true
      responses:
        '200':
          description: The executions of the email blast
          content:
            application/json:
              schema:
                type: object
                properties:
                  executions:
                    type: array
                    items:
                      $ref: '#/components/schemas/EmailBlastExecution'
                    description: The executions of the email blast
                required:
                  - executions
components:
  schemas:
    EmailBlastExecution:
      type: object
      properties:
        id:
          type: string
          description: The ID of the email blast execution
        customer:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/Customer'
          description: The customer executing through the email blast
        to:
          type: string
          description: The email address the email blast was actually sent to
        sent_at:
          type: string
          nullable: true
          description: The time when the email blast was sent in ISO 8601 format
        finished_at:
          type: string
          nullable: true
          description: The time when the execution finished in ISO 8601 format
        finished_reason:
          type: string
          nullable: true
          description: The reason the execution finished
      required:
        - id
        - customer
        - to
        - sent_at
        - finished_at
        - finished_reason
      title: The Email Blast Execution object
    Customer:
      type: object
      properties:
        id:
          type: string
          description: The ID of the customer
        external_id:
          type: string
          nullable: true
          description: The external ID of the customer
        email_address:
          type: string
          nullable: true
          description: The email address of the customer
        phone_number:
          type: string
          nullable: true
          description: The phone number of the customer
        full_name:
          type: string
          nullable: true
          description: The full name of the customer
        metadata:
          type: object
          additionalProperties: true
          description: The metadata associated with this customer
        unsubscribed:
          type: string
          enum:
            - future
            - campaign
          nullable: true
          description: The unsubscribe status of the customer
      required:
        - id
        - external_id
        - email_address
        - phone_number
        - full_name
        - metadata
        - unsubscribed
      title: The Customer object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````